package com.ywt.alipaympapi.controller;

import com.alibaba.fastjson.JSON;
import com.ywt.model.ResponseVO;
import com.ywt.request.history.DistrictConfigInfoRequest;
import com.ywt.response.history.DistrictConfigInfoResponseData;
import com.ywt.alipaympapi.service.ConfigService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Desc
 */
@RestController
@Slf4j
public class ConfigInfoController {

    @Autowired
    private ConfigService configService;


    /**
     *  院区配置信息
     *
     * @param request
     * @return
     */
    @PostMapping("isvRequest.district.configInfo")
    public ResponseVO<DistrictConfigInfoResponseData> districtConfigInfo(DistrictConfigInfoRequest request) {
        log.info("request:{}", JSON.toJSONString(request));
        return ResponseVO.success(configService.districtConfigInfo(request));
    }
}
