package com.ywt.request.inpatient;

import com.ywt.model.IsvRequest;
import com.ywt.request.IAppIdRequest;
import com.ywt.request.IUserIdRequest;
import com.ywt.response.inpatient.InpatientCheckInResponseData;
import lombok.Data;

/**
 * 入院登记请求体
 */
@Data
public class InpatientCheckInRequest implements IsvRequest<InpatientCheckInResponseData>, IAppIdRequest, IUserIdRequest {

    private String appId;//医院小程序的AppId

    private String userId;//用户唯一id

    private String patientId;//就诊人id，选择已存在就诊人时传入

    private String name;//姓名

    private String sex;//性别

    private String idCardType;//证件类型

    private String idCardNo;//证件号码，关系为本人时无需填写，rsa加密数据

    private String phoneNumber;//手机号，关系为本人时无需填写，rsa加密数据

    private String relationShip;//关系

    private String inpatientNo;//住院号

    private String hospitalDistrictId;//院区id

    @Override
    public String serviceName() {
        return "isvRequest.inpatient.checkIn";
    }
}