package com.ywt.request.inpatient;

import com.ywt.model.IsvRequest;
import com.ywt.request.IAppIdRequest;
import com.ywt.request.IUserIdRequest;
import com.ywt.response.inpatient.SettlementExecuteResponseData;
import lombok.Data;

/**
 * 出院结算请求体
 */
@Data
public class SettlementExecuteRequest implements IsvRequest<SettlementExecuteResponseData>, IAppIdRequest, IUserIdRequest {

    private String appId;//医院小程序的AppId

    private String userId;//用户唯一id

    private String inpatientId;//住院记录id

    private Boolean useMedicare;//使用医保结算，如果使用医保结算需要医保电子凭证授权进行预结算

    private String payAuthNo;//医保线上支付授权编码，医保支付必填

    @Override
    public String serviceName() {
        return "isvRequest.settlement.execute";
    }
}