package com.ywt.response.nucleic;

import com.ywt.model.IsvResponseData;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.List;

/**
 * 流行病学问卷题目回执
 */
@Getter
@Setter
@ToString
public class NucleicQuestionnaireResponseData implements IsvResponseData {

    private boolean frontVerify;//是否为前端校验

    private List<Question> questionList;//问卷题目列表

    @Data
    public static class Question {

        private String questionId;//题目id

        private String questionNo;//题目编号，页面展示及排序使用该字段

        private String question;//题干

        private String correctAnswerId;//答案选项id

        private List<OptionItem> answerList;//题目选项
    }

    @Data
    public static class OptionItem {

        private String optionItemId;//选项id

        private String optionItemDesc;//选项描述
    }
}
